com.io7m.smfj.core

## Class SMFSchemaName

- java.lang.Object
- - com.io7m.smfj.core.SMFSchemaName

- All Implemented Interfaces:
    SMFSchemaNameType, Comparable<SMFSchemaNameType>

      @Generated(value={"Immutables.generator","SMFSchemaNameType"})
      public final class SMFSchemaName
      extends Object
      implements SMFSchemaNameType

  A schema name.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SMFSchemaName.Builder` Builds instances of type `SMFSchemaName`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SMFSchemaName.Builder` | `builder()` Creates a builder for `SMFSchemaName`.
    `static SMFSchemaName` | `copyOf(SMFSchemaNameType instance)` Creates an immutable copy of a `SMFSchemaNameType` value.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `SMFSchemaName` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `value`.
    `static SMFSchemaName` | `of(String value)` Construct a new immutable `SMFSchemaName` instance.
    `String` | `toString()` Prints the immutable value `SMFSchemaName` with attribute values.
    `String` | `value()`
    `SMFSchemaName` | `withValue(String value)` Copy the current immutable object by setting a value for the `value` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.smfj.core.SMFSchemaNameType

      `checkPreconditions, compareTo`

- - ### Method Detail

    - #### value

          public String value()

      Specified by:
        `value` in interface `SMFSchemaNameType`
      Returns:
        The actual name value

    - #### withValue

          public final SMFSchemaName withValue(String value)

      Copy the current immutable object by setting a value for the `value` attribute. An equals check used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for value
      Returns:
        A modified copy of the `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `SMFSchemaName` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `value`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `SMFSchemaName` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static SMFSchemaName of(String value)

      Construct a new immutable `SMFSchemaName` instance.
      Parameters:
        `value` - The value for the `value` attribute
      Returns:
        An immutable SMFSchemaName instance

    - #### copyOf

          public static SMFSchemaName copyOf(SMFSchemaNameType instance)

      Creates an immutable copy of a `SMFSchemaNameType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable SMFSchemaName instance

    - #### builder

          public static SMFSchemaName.Builder builder()

      Creates a builder for `SMFSchemaName`.
      Returns:
        A new SMFSchemaName builder

Copyright © 2017 <code@io7m.com> http://io7m.com